import { IconDefinition } from "@fortawesome/free-solid-svg-icons";
import { LinkWithAction } from "../types";
import React from "react";
export declare enum SelectLightPosition {
    BOTTOM = "BOTTOM",
    LEFT = "LEFT"
}
export interface CircleButtonProps {
    loading?: boolean;
    icon: IconDefinition | string;
    selected?: boolean;
    selectLightPosition?: SelectLightPosition;
    link?: LinkWithAction;
    /**
     * The color to use to highlight the button when selected or hovered.
     */
    accentColor?: string;
    /**
     * The border color to show around the icon when it's neither selected
     * nor interacted with.
     */
    defaultBorderColor?: string;
    /**
     * Whether to show an icon indicating the button has multiple options.
     */
    withDropdown?: boolean;
    /**
     * Whether to show an icon indicating the button has a notification.
     */
    withNotification?: boolean;
    /**
     * Applies a blurred filter to the icon, for privacy reasons.
     * This only applies to icons of type "image".
     */
    blurred?: boolean;
    /**
     * The aria-label associated with the icon.
     */
    label?: string;
}
declare const CircleButton: React.FC<CircleButtonProps>;
export default CircleButton;
