import { IconProps } from "../common/Icon";
import { LinkWithAction } from "../types";
import React from "react";
/**
 * A button made of a single icon.
 */
export interface IconButtonProps {
    icon: IconProps["icon"];
    /**
     * The aria-label associated with the icon.
     */
    label?: string;
    link?: LinkWithAction;
    /**
     * The notification icon settings.
     */
    withNotifications?: boolean;
    notificationIcon?: IconProps["icon"];
    notificationColor?: string;
}
declare const IconButton: React.FC<IconButtonProps>;
export default IconButton;
