import "@bobaboard/boba-editor/dist/main.css";
import "normalize.css";
import { IconDefinition } from "@fortawesome/free-solid-svg-icons";
import { IconProps } from "../common/Icon";
import { LinkWithAction } from "../types";
import React from "react";
export interface LayoutHandler {
    closeSideMenu: () => void;
}
export interface LayoutCompoundComponent extends React.ForwardRefExoticComponent<LayoutProps & React.RefAttributes<LayoutHandler>> {
    MainContent: React.FC<unknown>;
    PinnedMenuContent: React.FC<unknown>;
    SideMenuContent: React.FC<unknown>;
    ActionButton: React.FC<unknown>;
}
declare const Layout: LayoutCompoundComponent;
export interface LayoutProps {
    headerAccent?: string;
    title?: string;
    hideTitleOnDesktop?: boolean;
    user?: {
        username: string;
        avatarUrl?: string;
    };
    logoLink?: LinkWithAction;
    titleLink?: LinkWithAction;
    onUserBarClick: LinkWithAction;
    onCompassClick?: () => void;
    loading?: boolean;
    userLoading?: boolean;
    notificationIcon?: IconProps["icon"];
    hasNotifications: boolean;
    hasOutdatedNotifications: boolean;
    menuOptions?: {
        id: string;
        icon: IconDefinition;
        link: LinkWithAction;
    }[];
    selectedMenuOption?: string | null;
    loggedInMenuOptions?: {
        icon: IconDefinition;
        name: string;
        link: LinkWithAction;
    }[];
    onSideMenuButtonClick?: () => void;
    onSideMenuFullyOpen?: () => void;
    forceHideIdentity?: boolean;
    children: JSX.Element[];
}
export default Layout;
