import { AccessoryType, LinkWithAction, SecretIdentityType } from "../types";
import { DropdownProps } from "../common/DropdownListMenu";
import React from "react";
export declare enum HeaderStyle {
    REGULAR = "REGULAR",
    COMPACT = "COMPACT"
}
declare const PostHeader: React.ForwardRefExoticComponent<PostHeaderProps & React.RefAttributes<HTMLDivElement>>;
export default PostHeader;
export interface PostHeaderProps {
    size?: HeaderStyle;
    secretIdentity?: SecretIdentityType;
    additionalIdentities?: SecretIdentityType[];
    accessory?: AccessoryType;
    accessories?: AccessoryType[];
    onSelectIdentity?: (identity: SecretIdentityType | undefined) => void;
    onSelectAccessory?: (accessory: AccessoryType | undefined) => void;
    userIdentity?: {
        avatar: string;
        name: string;
    };
    avatarOptions?: DropdownProps["options"];
    createdMessage?: string;
    createdMessageLink?: LinkWithAction;
    forceHide?: boolean;
    newPost?: boolean;
    newComments?: boolean;
    newContributions?: boolean;
    backgroundColor?: string;
}
