import { DropdownProps } from "../common/DropdownListMenu";
import { LinkWithAction, SecretIdentityType, TagsType } from "../types";
import React from "react";
export declare const modes: {
    VIEW: string;
    CREATE: string;
};
declare const Post: React.ForwardRefExoticComponent<PostProps & React.RefAttributes<PostHandler>>;
export default Post;
export interface PostHandler {
    highlight: (color: string) => void;
    avatarRef?: React.RefObject<HTMLDivElement>;
}
export interface PostProps {
    id?: string;
    mode?: string;
    editable?: boolean;
    answerable?: boolean;
    text: string;
    createdTime: string;
    createdTimeLink: LinkWithAction;
    secretIdentity: SecretIdentityType;
    userIdentity?: {
        avatar: string;
        name: string;
    };
    tags?: {
        contentWarnings: string[];
        categoryTags: string[];
        whisperTags: string[];
        indexTags: string[];
    };
    reactions?: {
        image: string;
        count: number;
    }[];
    newPost?: boolean;
    op?: boolean;
    totalContributions?: number;
    directContributions?: number;
    newContributions?: number;
    totalComments?: number;
    newComments?: number;
    onNewContribution: () => void;
    onNewComment: () => void;
    collapsed?: boolean;
    muted?: boolean;
    notesLink: LinkWithAction;
    reactable?: boolean;
    menuOptions?: DropdownProps["options"];
    menuOptionsHeader?: React.ReactNode;
    onEmbedLoaded?: () => void;
    board?: {
        slug: string;
        accentColor: string;
    };
    getOptionsForTag?: (tag: TagsType) => DropdownProps["options"];
    forceHideIdentity?: boolean;
    hideFooter?: boolean;
    hideUpdates?: boolean;
    backgroundColor?: string;
}
