import { BoardSelectorProps } from "../tags/BoardSelector";
import { PostHeaderProps } from "./Header";
import { SecretIdentityType, TagsType } from "../types";
import React from "react";
export interface PostEditorHandler {
    focus: () => void;
}
declare const PostEditor: React.ForwardRefExoticComponent<PostEditorProps & React.RefAttributes<PostEditorHandler>>;
export default PostEditor;
export interface PostEditorProps {
    initialText?: string;
    initialTags?: {
        contentWarnings: string[];
        categoryTags: string[];
        whisperTags: string[];
        indexTags: string[];
    };
    secretIdentity?: SecretIdentityType;
    userIdentity: {
        avatar: string;
        name: string;
    };
    additionalIdentities?: PostHeaderProps["additionalIdentities"];
    accessories?: PostHeaderProps["accessories"];
    loading?: boolean;
    onSubmit: (postPromise: Promise<{
        text: string;
        tags: TagsType[];
        viewOptionName?: string;
        identityId?: string;
        accessoryId?: string;
        boardSlug?: string;
    }>) => void;
    onCancel: (empty: boolean) => void;
    onMinimize?: () => void;
    minimizable?: boolean;
    viewOptions?: {
        name: string;
        iconUrl?: string;
    }[];
    accentColor?: string;
    suggestedCategories?: string[];
    editableSections?: {
        tags?: boolean;
    };
    availableBoards?: BoardSelectorProps["availableBoards"];
    initialBoard?: BoardSelectorProps["selectedBoard"];
}
