import { IconDefinition } from "@fortawesome/free-solid-svg-icons";
import React from "react";
import { BoardType } from "../types";
declare const BoardsMenuSection: React.FC<BoardsMenuSectionProps>;
export default BoardsMenuSection;
export declare type BoardsMenuSectionProps = BoardsSectionProps | EmptySectionProps | LoadingSectionProps;
export interface BaseSectionProps {
    title: string;
    icon: string | IconDefinition;
}
export interface BoardsSectionProps extends BaseSectionProps {
    boards: BoardType[];
    currentBoardSlug?: string | null;
}
export interface EmptySectionProps extends BaseSectionProps {
    emptyTitle: string;
    emptyDescription: string;
}
export interface LoadingSectionProps extends BaseSectionProps {
    loading: boolean;
    placeholdersCount: number;
    accentColor: string;
}
