import React from "react";
import { BoardType } from "../types";
import BoardsMenuSection from "./BoardsMenuSection";
import { DropdownProps } from "../common/DropdownListMenu";
export interface SideMenuHandler {
    focusBoardFilter: () => void;
}
export interface SideMenuCompoundComponent extends React.ForwardRefExoticComponent<SideMenuProps & React.RefAttributes<SideMenuHandler>> {
    BoardsMenuSection: typeof BoardsMenuSection;
}
declare const SideMenu: SideMenuCompoundComponent;
export default SideMenu;
export interface SideMenuProps {
    pinnedBoards?: BoardType[];
    currentBoardSlug?: string | null;
    menuOptions?: DropdownProps["options"];
    showPinned?: boolean;
    onFilterChange?: (text: string) => void;
    children: React.ReactNode;
}
